% Autor:  T. Hempel
% Quelle: Zimmermann: "Die Implementation kontextfreier Grammatiken in PROLOG".
%         In LOG IN 21 (2001) Heft 5/6 S. 68ff.
% Datum: 11.10.2010
% 07 Arithmetik

% Symbol   Interpretation
% -->      besteht aus
% ,        und
% |        oder
% []       Wort/Terminal, besteht immer aus Kleinbuchstaben
% ''       Nichtterminal (Variable), beginnt immer mit einem Grossbuchstaben

% Arbeitsweise:
% Quelltext schreiben/ergaenzen/korrigieren
% Quelltext konsultieren (Taste F9)
% bei Fehlermeldungen im unteren Fensterbereich -> Korrektur und erneutes Konsultieren

% Aufruf: ?- phrase('Ausdruck', [a, '+', b, '/', '('), a, '-', b, ')']).

'Ausdruck'  --> 'Term' | 'Term',['+'],'Ausdruck' | 'Term',['-'],'Ausdruck'.
'Term'      --> 'Faktor' | 'Faktor',['*'],'Term' | 'Faktor',['/'],'Term'.
'Faktor'    --> [a]|[b]|[c]|['('],'Ausdruck',[')'].
