% Autor:  T. Hempel
% Quelle: Zimmermann, H.-U.: "Die Implementation kontextfreier Grammatiken in PROLOG".
%         In LOG IN 21 (2001) Heft 5/6 S. 68ff.
% Datum: 11.10.2010

% Symbol   Interpretation
% -->      besteht aus
% ,        und
% |        oder
% []       Markierung eines Wortes, das immer aus Kleinbuchstaben besteht
% ''       Markierung einer Variable, die immer mit einem Grossbuchstaben beginnt

% Aufruf: ?- phrase('Double',X).

'Double'            --> 'Vorzeichen','Zahl','Nachkomma','Exponent'.
'Vorzeichen'        --> []|['+']|['-'].
'Ziffer'            --> [0]|[1]|[2]|[3]|[4]|[5]|[6]|[7]|[8]|[9].
'Zahl'              --> 'Ziffer'|'Ziffer','Zahl'.
'Nachkomma'         --> []|['.'],'Zahl'.
'Exponent'          --> []|'Exponentenzeichen','Zahl'.
'Exponentenzeichen' --> [e].
