% Autor:  T. Hempel
% Quelle: Zimmermann: "Die Implementation kontextfreier Grammatiken in PROLOG".
%         In LOG IN 21 (2001) Heft 5/6 S. 68ff.
% Datum: 11.10.2010
% 02 Artikel

% Symbol   Interpretation
% -->      besteht aus
% ,        und
% |        oder
% []       Wort/Terminal, besteht immer aus Kleinbuchstaben
% ''       Nichtterminal (Variable), beginnt immer mit einem Grossbuchstaben

% Arbeitsweise:
% Quelltext schreiben/ergaenzen/korrigieren
% Quelltext konsultieren (Taste F9)
% bei Fehlermeldungen im unteren Fensterbereich -> Korrektur und erneutes Konsultieren
% bei Fehlerfreiheit im unteren Fensterbereich  

% Aufruf: ?- phrase('Satz',[kuehe, fressen, graeser]).
%         ?- phrase('Satz', X).

'Satz'       --> 'Subjekt', 'Praedikat', 'Objekt'.
'Subjekt'    --> 'Substantiv'.
'Objekt'     --> []|'Substantiv'.
'Substantiv' --> [kuehe]|[graeser].
'Praedikat'  --> [fressen].